> For the complete documentation index, see [llms.txt](https://docs.decisionrules.io/doc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decisionrules.io/doc/v1/api/api-introduction.md).

# API Introduction

Welcome to the section that deals with the [DecisionRules](https://decisionrules.io/) API. Here you can learn how to manage and use the API for the various functionalities we offer.

As far as rules are concerned, the solver API for rules and the Rule Flow and Management API are explained here. Furthermore, the data infrastructure is mentioned and described. Lastly, the solver API for Apache Kafka is described.

### How to setup an endpoint?

{% content-ref url="/pages/-MX\_hU6\_jnx5lznAByLk" %}
[Endpoint Settings](/doc/v1/api/endpoints.md)
{% endcontent-ref %}

### What can you find in this space

{% content-ref url="/pages/-MQSqw9nnpqeCOmXYzmK" %}
[API Keys](/doc/v1/api/api-keys.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MN5N6X1Z6NeH4Hht5ye" %}
[Rule Solver API](/doc/v1/api/rule-solver-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/-Mj3V7IpLHGSWF6ZQqXB" %}
[Rule Flow Solver API (DEPRECATED)](/doc/v1/api/archive/rule-flow-solver-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/-Mhr2TXn2qhkf-92wVN9" %}
[Management API](/doc/v1/api/management-api.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MZrQbNZZ3V\_bfSLRvUP" %}
[Datacenters & Locations](/doc/v1/api/geo-location.md)
{% endcontent-ref %}

{% content-ref url="/pages/ZdqcCdMRkI8pzsWPZ9aU" %}
[Apache Kafka Solver API](/doc/v1/api/apache-kafka-solver-api.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decisionrules.io/doc/v1/api/api-introduction.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
